package com.ruoyi.finance.shipping;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 凯和导出应收总账对象
 */
public class ReceivableExcel implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 船名
     */
    @Excel(name = "船名")
    private String shipsName;
    /**
     *航次
     */
    @Excel(name = "航次")
    private String voyage;
    /**
     *结算单位
     */
    @Excel(name = "结算单位")
    private String unitOfAccount;
    /**
     *提单号
     */
    @Excel(name = "提单号")
    private String blNo;
    /**
     *起运港
     */
    @Excel(name = "起运港")
    private String portOfLoading;
    /**
     *目的港
     */
    @Excel(name = "目的港")
    private String destination;
    /**
     *开船日期
     */
    @Excel(name = "开船日期",dateFormat = "yyyy-MM-dd")
    private Date sailingDate;
    /**
     *审核日期
     */
    @Excel(name = "审核日期",dateFormat = "yyyy-MM-dd")
    private Date auditDate;
    /**
     *应收金额
     */
    @Excel(name = "应收金额")
    private BigDecimal receivable;
    /**
     *实收金额
     */
    @Excel(name = "实收金额")
    private BigDecimal handle;
    /**
     *未收金额
     */
    @Excel(name = "未收金额")
    private BigDecimal profit;

    public String getShipsName() {
        return shipsName;
    }

    public void setShipsName(String shipsName) {
        this.shipsName = shipsName;
    }

    public String getVoyage() {
        return voyage;
    }

    public void setVoyage(String voyage) {
        this.voyage = voyage;
    }

    public String getUnitOfAccount() {
        return unitOfAccount;
    }

    public void setUnitOfAccount(String unitOfAccount) {
        this.unitOfAccount = unitOfAccount;
    }

    public String getBlNo() {
        return blNo;
    }

    public void setBlNo(String blNo) {
        this.blNo = blNo;
    }

    public String getPortOfLoading() {
        return portOfLoading;
    }

    public void setPortOfLoading(String portOfLoading) {
        this.portOfLoading = portOfLoading;
    }

    public String getDestination() {
        return destination;
    }

    public void setDestination(String destination) {
        this.destination = destination;
    }

    public Date getSailingDate() {
        return sailingDate;
    }

    public void setSailingDate(Date sailingDate) {
        this.sailingDate = sailingDate;
    }

    public Date getAuditDate() {
        return auditDate;
    }

    public void setAuditDate(Date auditDate) {
        this.auditDate = auditDate;
    }

    public BigDecimal getReceivable() {
        return receivable;
    }

    public void setReceivable(BigDecimal receivable) {
        this.receivable = receivable;
    }

    public BigDecimal getHandle() {
        return handle;
    }

    public void setHandle(BigDecimal handle) {
        this.handle = handle;
    }

    public BigDecimal getProfit() {
        return profit;
    }

    public void setProfit(BigDecimal profit) {
        this.profit = profit;
    }

    @Override
    public String toString() {
        return "ReceivableExcel{" +
                "shipsName='" + shipsName + '\'' +
                ", voyage='" + voyage + '\'' +
                ", unitOfAccount='" + unitOfAccount + '\'' +
                ", blNo='" + blNo + '\'' +
                ", portOfLoading='" + portOfLoading + '\'' +
                ", destination='" + destination + '\'' +
                ", sailingDate=" + sailingDate +
                ", auditDate=" + auditDate +
                ", receivable=" + receivable +
                ", handle=" + handle +
                ", profit=" + profit +
                '}';
    }
}
